Global $sMediaInfoDll = @ScriptDir & '\MediaInfo.dll'
Global $hMediaInfoDll = DllOpen($sMediaInfoDll)
Global $sVideoFilter = '*.avi;*.divx;*.flv;*.mkv;*.mov;*.mpg;*.mpeg;*.mp4;*.wmv' ; <- die Videoformate (Dateiendungen), die erkannt werden sollen
Global $sVideoFile = FileOpenDialog('Bitte die Videodatei auswhlen!', '', 'Video (' & $sVideoFilter & ')', 1)
If @error Then Exit
$sMediaInfo = _GetMediaInfo($sVideoFile)
ConsoleWrite($sMediaInfo & @CR)
DllClose($hMediaInfoDll)

Func _GetMediaInfo($sFilename)
	; New MediaInfo handle
	Local $aMediaInfo = DllCall($hMediaInfoDll, 'ptr', 'MediaInfo_New')
	Local $hMediaInfo = $aMediaInfo[0]
	; Open
	Local $aRet = DllCall($hMediaInfoDll, 'dword', 'MediaInfo_Open', _
			'ptr', $hMediaInfo, _ ; Handle
			'wstr', $sFilename) ; Full path
	; General MediaInfo
	If Not $aRet[0] Then Return SetError(1, 0, 0)
	Local $aMediaInfoInform = DllCall($hMediaInfoDll, 'wstr', 'MediaInfo_Inform', _
			'ptr', $hMediaInfo, _ ; Handle
			'int', 0) ; Options
	DllCall($hMediaInfoDll, 'none', 'MediaInfo_Close', 'ptr', $hMediaInfo)
	Return SetError(0, 0, $aMediaInfoInform[0])
EndFunc   ;==>_GetMediaInfo
